Module java.net.http
Package java.net.http

# Interface HttpResponse.ResponseInfo

Enclosing interface:
  `HttpResponse<T>`

public static interface HttpResponse.ResponseInfo
Initial response information supplied to a `BodyHandler` when a response is initially received and before the body is processed.

## Method Summary

Modifier and Type
Method
Description
`HttpHeaders`
`headers()`
Provides the response headers.
`int`
`statusCode()`
Provides the response status code.
`HttpClient.Version`
`version()`
Provides the response protocol version.

## Method Details

### statusCode

int statusCode()
Provides the response status code.

Returns:
  the response status code

### headers

HttpHeaders headers()
Provides the response headers.

Returns:
  the response headers

### version

HttpClient.Version version()
Provides the response protocol version.

Returns:
  the response protocol version